#include <iostream>
#include<iomanip>
#include <cfloat>
#include <algorithm>
using namespace std;
int n;
struct helper
{
    long double a;
    long double p;
};
helper fri[200000];
long double dp[200000];
bool f(helper a, helper b)
{
    if(a.p<b.p)
        return true;
    return false;
}
int main()
{
    cin>>n;
    long double suma=0;
    for(int i=0;i<n;i++)
    {
        cin>>fri[i].a>>fri[i].p;
        fri[i].p/=100.0;
        suma+=fri[i].a;
    }
    sort(fri,fri+n,f);
    dp[0]=fri[0].a;
    for(int i=1;i<n;i++)
    {
        dp[i]=dp[i-1]+fri[i].a;
    }

    long double maks=fri[0].p*suma;
    for(int i=1;i<n;i++)
    {
        if(fri[i].p*(suma-dp[i-1])>maks)
           maks=fri[i].p*(suma-dp[i-1]);
    }
    cout<<fixed<<setprecision(3)<<maks;

}
/*
4
100001 83.2
40001 20
90001 77.32
300001 1.88
*/